Bug 645280 - Metric schedules: unit selector ignored
Metric schedules: unit selector ignored
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
Unspecified Unspecified
high Severity medium (vote)
: ---
: ---
Assigned To: Charles Crouch
Mike Foley
Depends On:
Blocks: rhq41 rhq41-ui
  Show dependency treegraph
Reported: 2010-10-21 04:17 EDT by Heiko W. Rupp
Modified: 2015-02-01 18:26 EST (History)
4 users (show)

See Also:
Fixed In Version: 4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-03 13:01:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screenshot of message that shows up (13.21 KB, image/png)
2010-10-21 04:17 EDT, Heiko W. Rupp
no flags Details

  None (edit)
Description Heiko W. Rupp 2010-10-21 04:17:51 EDT
Created attachment 454742 [details]
Screenshot of message that shows up

You may have seen that at my demo.

Go to the schedules subtab, select a schedule and try to set the collection interval to 1 minute
(explicitly select minutes from the drop down).
Click on set and you will see that it is set to 30 seconds. 

The message box will show that it is set to 1 second -- the unit selector was obviously ignored and the default minimum of 30 seconds selected.
Comment 1 Jay Shaughnessy 2011-08-17 15:09:41 EDT
I could not reproduce.  All metric units seems to get applied at the resource and template level. And conversions were applied as required. Must have been fixed along the way...
Comment 2 Mike Foley 2011-08-17 16:13:20 EDT
verified as follows:
1) set group collection schedules to 1 minute, expressly from the drop down
2) set schedules to 100 seconds, 100 minutes, 100 hours
3) multi-selected and set schedules
Comment 4 Heiko W. Rupp 2013-09-03 13:01:57 EDT
Bulk closing of old issues that are in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.